
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>hibernate-Hibernate分页效率问题 / iVAN</title>

    <meta name="description" content="hibernate-Hibernate分页效率问题 问题描述 Hibernate分页效率问题 项目中使用了公司封装的数据库操作jar,但Hibernate分页效率总是不高,怀疑底层是先查后分页的情况,底子不好 各位大神劳烦看下 是先查询后分的页吗?(请先回答此问题) 有什么优化建议没? sqlstr 为sql语句,mapps为条件 public Map getList(String sqlstr, Map mapps, int iPageNo, int iPageSize) throws DAOException { HibernateCallb">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">hibernate-Hibernate分页效率问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>Hibernate分页效率问题<br />
        	<b></b>
        </dt>
<dd>
          <br />项目中使用了公司封装的数据库操作jar，但Hibernate分页效率总是不高，怀疑底层是先查后分页的情况，底子不好 各位大神劳烦看下 是先查询后分的页吗？（请先回答此问题）<br />
    有什么优化建议没？<br />
   sqlstr 为sql语句，mapps为条件</p>
<pre><code>  public Map getList(String sqlstr, Map mapps, int iPageNo, int iPageSize) throws DAOException
</code></pre>
<p>{<br />
    HibernateCallback callback = new HibernateCallback(this, sqlstr, mapps, iPageNo, iPageSize) { final HibernatePersistenceManager this$0;<br />
      private final String val$sqlstr;<br />
      private final Map val$mapps;<br />
      private final int val$iPageNo;<br />
      private final int val$iPageSize;</p>
<pre><code>  public Object doInHibernate() throws HibernateException, SQLException { Query query = this.this$0.getHibernateTemplate().createQuery(session,
      this.val$sqlstr);
    List list = new ArrayList();

    if ((this.val$mapps != null) &amp;&amp; (!(this.val$mapps.isEmpty()))) {
      Iterator it = this.val$mapps.keySet().iterator();
      while (it.hasNext()) {
        String numStr = (String)it.next();
        int num = Integer.parseInt(numStr);
        query.setParameter(num, this.val$mapps.get(numStr));
      }

    }

    this.this$0.setPageNo(this.val$iPageNo);
    this.this$0.setPageSize(this.val$iPageSize);
    if ((this.val$mapps != null) &amp;&amp; (!(this.val$mapps.isEmpty())))
      this.this$0.setQueryPage(query, this.val$mapps);
    else
      this.this$0.setQueryPage(query);

    list = query.list();

    Map map = new HashMap();

    map.put("RecTotal", this.this$0.getRecTotal());
    map.put("PageTotal", this.this$0.getPageTotal());
    map.put("List", list);

    return map;
  }

};
return ((Map)getHibernateTemplate().execute(callback));
</code></pre>
<p>}</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>服务器端分页用存储过程，hibernate绑定<br />
参考：<a href="http://www.docin.com/p-660794652.html" rel="external nofollow noreferrer">http://www.docin.com/p-660794652.html</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 21:29:51</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/hibernate/" title="Hibernate">Hibernate</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>hibernate-Hibernate分页效率问题的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5YAwmp.html" rel="bookmark">hibernate的分页真的通用吗？我这种情况怎么分页？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 publicList&lt;Score&gt;queryImportedScore(intoffset,intlength,List&lt;String&gt;idList){List&lt;Score&gt;scoreList=newArrayList&lt;Score&gt;();for(inti=0;i&lt;idList.size();i++){Stringhql=&quot;fromScoreswheres.studentId=&quot;+idList.get(i);@Suppres			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo698Bz.html" rel="bookmark">浅析Hibernate Struts分页</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Hibernate有很多值得学习的地方,这里我们主要介绍Hibernate Struts分页,包括介绍Hibernate查询等方面. 在进行web应用开发的时候经常要对Hibernate Struts分页处理,经常看到一些人在问Hibernate Struts分页处理的问题,现在我把自己的处理方法写在这儿,希望能对需要进行Hibernate Struts分页处理的朋友有所帮助. 一.在Hibernate Struts分页有两种结构: 1. 在Action中通过DAO查询出所有的记录,然后加到se			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Pg38M.html" rel="bookmark">Hibernate实现分页查询的简要分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文向大家介绍Hibernate查询分页,可能好多人还不了解Hibernate查询分页,没有关系,下面有一个例子,从第2万条开始取出100条记录看完本文你肯定有不少收获,希望本文能教会你更多东西. Java代码 Query q = session.createQuery(&quot;from Cat as c&quot;);; q.setFirstResult(20000);; q.setMaxResults(100);; List l = q.list();; 那么Hibernate底层如何实现分页的呢			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLa9kRz.html" rel="bookmark">hibernate进行分页时，sessionFactory为null报空指针异常</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 hibernate进行分页时,sessionFactory为null报空指针异常 从网上查了许都,都没能解决,不知道是配置文件有问题,还是方法写的有问题 解决方案 dao层实现类: /** @ClassName: BaseDaoImpl @Description: 基础dao实现 @author john @date 2015年2月26日 下午3:27:15 */ @SuppressWarnings(&quot;unchecked&quot;) public abstract class Bas			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myeq8lM.html" rel="bookmark">STRUTS&plus;HIBERNATE&plus;ORACLE分页</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				主要由:message.jspMessageFormMessageActionPlayer.hbm.xmlstruts-config.xmlMeisaiBean.java来实现:先看数据库结构:CREATE TABLE player(  PLAYER_ID   VARCHAR(32) PRIMARY KEY,  TEAM        VARCHAR(3),  displayName  VARCHAR(100),  LAST_NAME   VARCHAR(100),  MIDDLE_NAME V			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnRZVAp.html" rel="bookmark">ibatis中，用什么方式查询分页效率高？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 ibatis中,用什么方式查询分页效率高? 我的数据量比较大. 解决方案 ibatis 又不是数据库,它又不知道如何分页..他只是一个sql builder比如mysql里面的分页是用limit offset来做的,你就用ibatis写一个limit offset好了其它类型的数据库以此类推.与其说分页的效率,不如说是你sql语句查询的效率如何,最简单看有查询有没有用到索引,在mysql里面用explain select xxxx from xxx where解决方案二:三层嵌套是or			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Nz7JAXp.html" rel="bookmark">MySQL提数据高分页效率</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我的这段代码是大数据量时提高分页的效率的测试代码--提高分页效率:实现分页时只读取显示数据,需要先在数据库创建数据库&quot;TestForPaging&quot;use TestForPaginggo--创建表SomeDatacreate table SomeData(id int primary key,name varchar(30) null,description text)go--插入数据insert into SomeData values(1,'num1','第1条')goinsert			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNEPVyb.html" rel="bookmark">如何提高MySQL数据分页效率</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  本节的数据编辑插教程给我们简单介绍如何提高MySQL数据分页效率,下面我们将会给出的这段代码是大数据量时提高分页的效率的测试代码. 如果你也需要设置MySQL数据提高分页效率,那么,就一起来看看代码段吧! --提高分页效率:实现分页时只读取显示数据,需要先在数据库创建数据库&quot;TestForPaging&quot; use TestForPaging go --创建表SomeData create table SomeData ( id int primary key, name varcha			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKvW8M.html" rel="bookmark">MySQL大数据量时提高分页效率</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我的这段代码是大数据量时提高分页的效率的测试代码 --提高分页效率:实现分页时只读取显示数据,需要先在数据库创建数据库&quot;TestForPaging&quot; use TestForPaging go --创建表SomeData create table SomeData ( id int primary key, name varchar(30) null, description text ) go --插入数据 insert into SomeData values(1,'num1','第			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pL0Qkp.html" rel="bookmark" class="title">使用PHP维护文件系统</a>
					<div>
						PHP有很多与文件系统相关的函数,不仅可以帮助你打开文件,还可以显示目录内容.移动文件等.很多人甚至使用PHP写出了基于Web的文件管理器. 首先需要提醒一些关于文件路径的东西:在Windows你可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRZ4BM.html" rel="bookmark" class="title">速成不是网站的根本</a>
					<div>
						速成 最近,总监有买一份经管类的报纸,具体什么名字已经忘记,他特别抽出一张来,丢给我看,说的是一个大学生一个播客广告展示,短时间杀入了全球5000名,然后,我们看到风投也疯了,几年前,是个人站长们揣着 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8qV3z.html" rel="bookmark" class="title">如何借助百度空间来做网络推广</a>
					<div>
						大家好,我是宏图互联.&quot;如何借助百度空间来做网络推广&quot;这个已经是老生常谈的话题了,在百度上一搜索,就会出现很多相关的文章.那为什么我还要围绕这个话题来说呢,原因就是我发现了一些新的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2XkBp.html" rel="bookmark" class="title">动态加载用户控件的组件！（三）</a>
					<div>
						动态|加载|控件 上一篇文章写到动态加载用户控件的简单应用 页面是用来浏览信息的!但是更重要的是和用户交互,根据不同的需求提供不同的内容服务,这是一种服务或是一种更贴近用户的人性化.(又在胡言乱语了! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeJY9b.html" rel="bookmark" class="title">UML学习：时序图（顺序图）sequence diagram</a>
					<div>
						引言 用例图.类图.活动图.时序图之间是什么关系? 时序图有什么作用? 先来模拟一下三国演义的赤壁之战的时序图,先知道它到底长什么样子,再深入介绍: 小伙伴惊呆了,这样画战略图,一目了然,原来著名的战 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4m0Ap.html" rel="bookmark" class="title">猫吃老鼠的系统化算法</a>
					<div>
						一.问题描述 现有n个老鼠围成一圆圈,有一只猫从任意位置开始吃老鼠,每次都隔一个老鼠吃,请给出最后一个老鼠的编号?题目要求是任给老鼠数n,输出猫最后吃的老鼠的编号. 二.问题求解 我们假设有N个老鼠, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvK4v6p.html" rel="bookmark" class="title">如何解决html网页编码导致jsp页面乱码</a>
					<div>
						html页面中这段不起眼的代码&lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/html; charset=GBK&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo705db.html" rel="bookmark" class="title">联想怎么恢复预装win8&period;1的中文版系统？</a>
					<div>
						  很多人买了联想预装windows8.1中文版系统的电脑,由于windows8.1体验不好,改装成其它系统了,一段时间后想恢复为原厂预装的正版windows8.1,去联想售后恢复,如果电脑购买超过一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24lr3p.html" rel="bookmark" class="title">安装WinPE的基础方法</a>
					<div>
						  重装系统的时候大家往往首先想到的就是PE,如果把它安装在硬盘上那就更方便了.但很多人并没有安装PE到硬盘上的习惯,真要到重新系统的时候才后悔就太迟了.那么怎么把PE装在硬盘上呢?下面就向大家介绍一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBaJRz.html" rel="bookmark" class="title">lucene和solr的分词器词库如何从数据库加载？求代码</a>
					<div>
						问题描述 lucene和solr的分词器词库如何从数据库加载?求代码 1,由于我们加入了同义词,所以需要定义一个IK的同义词工厂类IKSynonymFilterFactory继承TokenFilter ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6egRXb.html" rel="bookmark" class="title">sqlserver-sql语句 多条件查询求解答</a>
					<div>
						问题描述 sql语句 多条件查询求解答 看了半天子条件查询感觉搞不定 现在有一张学生表,里面有字段 学生编号,学生名字,成绩,试卷 请问如何能够查询到 所有试卷不重复,每张试卷成绩最好学生的信息 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXgdXp.html" rel="bookmark" class="title">Android对EditTex的图片实现监听&lowbar;Android</a>
					<div>
						本文为大家分享了EditTex图片实现监听的方法,供大家参考,具体内容如下 第一个例子:对EditText右边的图片进行监听 获取EditText的最右边的x2坐标减去最右边图片的x1坐标点,当点击所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Y15KM.html" rel="bookmark" class="title">从苹果的震慑中醒来！</a>
					<div>
						最近的移动互联网新闻中,锤子OS和Facebook Home算是两个热点话题,各领风骚两三天,小编我也关注了它们. 其实它们给我的第一感觉并不好,锤子OS第一眼看上去巨丑,让人想吐槽:你搞个锤子哟!F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Ye7RM.html" rel="bookmark" class="title">xiaoneit的空间换差不多了，折腾啊</a>
					<div>
						总感觉有忙不完的事情,  dreanhost的空间到期两个月了, 一直没管这个blog, google 和百度的收录又全没了. 杯了个具的,说到这个就来气, dreanhost的空间实在是太不给力了, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamWmmb.html" rel="bookmark" class="title">c语言-C语言计算 海滩上原来最少有多少个桃子</a>
					<div>
						问题描述 C语言计算 海滩上原来最少有多少个桃子 海滩上有一堆桃子,五只猴子来分.第一只猴子把这堆桃子凭据分为五份,多了一个这 只猴子把多的一个扔入海中,拿走了一份.第二只猴子把剩下的桃子又平均分成五 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3YePz.html" rel="bookmark" class="title">javascript-js 表达式 不解，求解答</a>
					<div>
						问题描述 js 表达式 不解,求解答 下面这段代码执行以后,为什么border变成了11,不是2?如果想达到2的效果应该怎么写? &lt;script&gt;function displayResul ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrlkQM.html" rel="bookmark" class="title">操作Excel问题&period;</a>
					<div>
						问题描述 datagridview导出excel,怎样设置excel的分页符?现在生成excel后,默认会把我生成的内容分成了几页,如何编程使内容都在同一页中? 解决方案 解决方案二:datagrid ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40P7qz.html" rel="bookmark" class="title">Maven实战&period; 2&period;5安装m2eclipse</a>
					<div>
						2.5安装m2eclipse Eclipse是一款非常优秀的IDE.除了基本的语法标亮.代码补齐.XML编辑等基本功能外,最新版的Eclipse还能很好地支持重构,并且集成了JUnit.CVS.Myl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL74g5M.html" rel="bookmark" class="title">jquery select radio name input  取值</a>
					<div>
						 文章提供这文章是关于 jquery select radio name input  取值 并且后面一段代码是 jquery select radio name input  选中值代码. 获取值: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1wYAz.html" rel="bookmark" class="title">数据分析中会常犯哪些错误，如何解决？</a>
					<div>
						错把相关性当成因果性 correlation vs. causation 经典的冰淇凌销量和游泳溺水人数成正比的数据,这并不能说明冰淇凌销量的增加会导致更多的人溺水,而只能说明二者相关,比如因为天热所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9x42db.html" rel="bookmark" class="title">Html Agility Pack基础类介绍及运用</a>
					<div>
						原文:Html Agility Pack基础类介绍及运用   Html Agility Pack下载地址:http://htmlagilitypack.codeplex.com/  Html Agil ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwZjZM.html" rel="bookmark" class="title">gui-跪求C&num;技术大牛，GUI&plus;技术问题</a>
					<div>
						问题描述 跪求C#技术大牛,GUI+技术问题 各位前辈们,大牛们,我第一次发帖,讨教你们一个问题,刚出来一个月,遇到了一个技术问题,GUI数据仿真软件怎么给panel添加滚动条?这个panel是一个画 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RmKqz.html" rel="bookmark" class="title">深度学习-faster rcnn运行demo出现错误</a>
					<div>
						问题描述 faster rcnn运行demo出现错误 faster rcnn配置好之后运行 ./tools/demo.py出现如下错误:: Check failed: registry.count(t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBoaaz.html" rel="bookmark" class="title">美国防部宣布开源代码库：快来 GitHub 提意见</a>
					<div>
						      2月28日,外媒称,美国五角大楼宣布了开源代码网站 Code.mil(或 github.com/deptofdefense/code.mil),将用于公开联邦雇员开发的非保密软件代码.不过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKBvPp.html" rel="bookmark" class="title">VirtualShiled是一个基于内省技术的虚拟机监控和入侵检测系统</a>
					<div>
						问题描述 代码托管:http://git.oschina.net/cakeman/VirtualShiledVirtualShiled是一个类似Nagios的虚拟机监控系统,用来监控虚拟机的虚拟内存, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Z40Bb.html" rel="bookmark" class="title">百度联盟将从2006年开始转型，致力于做出色的媒体平台</a>
					<div>
						5与14日上午消息,百度公司多位高管今日在&quot;2009百度联盟峰会&quot;中指出,百度联盟从2006年开始转型,致力于做一个出色的媒体平台.百度商业运营副总裁沈皓瑜强调,百度本身不做媒体. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlZvmp.html" rel="bookmark" class="title">Jquery验证插件Validate使用及配置</a>
					<div>
						导入JS文件   下载压缩包后validate文件位于dist目录,目录中包含jquery.validate.js 与 additional-methods.js以及各自的min文件.addition ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlAKlp.html" rel="bookmark" class="title">IndoVirtue新加坡VPS主机速度、配置及下载速度综合体验</a>
					<div>
						大约是在上上周的时候,因为一个网友提到IndoVirtue商家有提供新加坡机房的VPS主机产品,当时老左就简单的用官方提供的测试IP地址PING和MTR追踪路由看到速度还是比较好的.其实,IndoVi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqgLR2z.html" rel="bookmark" class="title">校验算法，求高手破译</a>
					<div>
						问题描述 校验算法,求高手破译 最近做一个项目需要破译一个校验算法,百思不得其解,求高手指点 每行5个字节,最后一个字节是前四个字节的校验,不知道这个校验是如何算出的 CC F7 77 EF 50 C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWrZ0p.html" rel="bookmark" class="title">&period;Net&plus;SQL Server企业应用性能优化笔记3&mdash;&mdash;SQL查询语句</a>
					<div>
						在上一篇文章中我们使用了几种方法来确定瓶颈,找到瓶颈,下面再回顾一下: LoadRunner压力测试+Windows计数器,这种方法主要是找出大概的性能问题是在哪台服务器,主要是哪个资源紧张. ANT ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
